source: chapter01/whatsnew.xml@ efca30a

10.0 10.0-rc1 10.1 10.1-rc1 11.0 11.0-rc1 11.0-rc2 11.0-rc3 8.3 8.3-rc1 8.3-rc2 8.4 8.4-rc1 9.0 9.0-rc1 9.1 9.1-rc1 cross-chap5 ml-11.0 multilib old-trunk trunk xry111/git-transition xry111/glibc-2.34 xry111/tester-nohack xry111/usr-move
Last change on this file since efca30a was efca30a, checked in by Bruce Dubbs <bdubbs@…>, 3 years ago

Update to glibc-2.28.
Update to gdbm-1.17.
Update to linux-4.17.11.
Update to man-db-2.8.4.

git-svn-id: http://svn.linuxfromscratch.org/LFS/trunk/BOOK@11443 4aa44e1e-78dd-0310-a6d2-fbcd4c07a689

  • Property mode set to 100644
File size: 7.1 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2
3<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
4 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
5 <!ENTITY % general-entities SYSTEM "../general.ent">
6 %general-entities;
7]>
8
9<sect1 id="ch-intro-whatsnew">
10 <?dbhtml filename="whatsnew.html"?>
11
12 <title>What's new since the last release</title>
13
14 <para>Below is a list of package updates made since the previous
15 release of the book.</para>
16
17 <!--
18 Every package in the book is listed in the "Upgraded to:" section.
19 Comment/uncomment as needed. DO NOT delete any of these lines unless that
20 package is removed from the book entirely.
21 -->
22
23 <itemizedlist>
24 <title>Upgraded to:</title>
25 <listitem><para></para></listitem> <!-- satisfy build -->
26 <!--<listitem>
27 <para>None</para>
28 </listitem>-->
29 <listitem>
30 <para>Acl-&acl-version;</para>
31 </listitem>
32 <listitem>
33 <para>Attr-&attr-version;</para>
34 </listitem>
35 <!--<listitem>
36 <para>Autoconf-&autoconf-version;</para>
37 </listitem>-->
38 <listitem>
39 <para>Automake-&automake-version;</para>
40 </listitem>
41 <!--<listitem>
42 <para>Bash &bash-version;</para>
43 </listitem>-->
44 <!--<listitem>
45 <para>Bc &bc-version;</para>
46 </listitem>-->
47 <listitem>
48 <para>Binutils-&binutils-version;</para>
49 </listitem>
50 <listitem>
51 <para>Bison-&bison-version;</para>
52 </listitem>
53 <!--<listitem>
54 <para>Bzip2-&bzip2-version;</para>
55 </listitem>-->
56 <!--<listitem>
57 <para>Check-&check-version;</para>
58 </listitem>-->
59 <listitem>
60 <para>Coreutils-&coreutils-version;</para>
61 </listitem>
62 <!--<listitem>
63 <para>DejaGNU-&dejagnu-version;</para>
64 </listitem>-->
65 <listitem revision="systemd">
66 <para>D-Bus-&dbus-version;</para>
67 </listitem>
68 <!--<listitem>
69 <para>Diffutils-&diffutils-version;</para>
70 </listitem>-->
71 <!--<listitem revision="sysv">
72 <para>Eudev-&eudev-version;</para>
73 </listitem>-->
74 <listitem>
75 <para>E2fsprogs-&e2fsprogs-version;</para>
76 </listitem>
77 <!--<listitem>
78 <para>Expat-&expat-version;</para>
79 </listitem>-->
80 <!-- <listitem>
81 <para>Expect-&expect-version;</para>
82 </listitem>-->
83 <listitem>
84 <para>File-&file-version;</para>
85 </listitem>
86 <!--<listitem>
87 <para>Findutils-&findutils-version;</para>
88 </listitem>-->
89 <!--<listitem>
90 <para>Flex-&flex-version;</para>
91 </listitem>-->
92 <listitem>
93 <para>Gawk-&gawk-version;</para>
94 </listitem>
95 <listitem>
96 <para>GCC-&gcc-version;</para>
97 </listitem>
98 <listitem>
99 <para>GDBM-&gdbm-version;</para>
100 </listitem>
101 <!--<listitem>
102 <para>Gettext-&gettext-version;</para>
103 </listitem>-->
104 <listitem>
105 <para>Glibc-&glibc-version;</para>
106 </listitem>
107 <!--<listitem>
108 <para>GMP-&gmp-version;</para>
109 </listitem>-->
110 <!--<listitem>
111 <para>Gperf-&gperf-version;</para>
112 </listitem>-->
113 <!--<listitem>
114 <para>Grep-&grep-version;</para>
115 </listitem>-->
116 <!--<listitem>
117 <para>Groff-&groff-version;</para>
118 </listitem>-->
119 <!--<listitem>
120 <para>GRUB-&grub-version;</para>
121 </listitem>-->
122 <!--<listitem>
123 <para>Gzip-&gzip-version;</para>
124 </listitem>-->
125 <!--<listitem>
126 <para>IANA-Etc-&iana-etc-version;</para>
127 </listitem>-->
128 <!--<listitem>
129 <para>Inetutils-&inetutils-version;</para>
130 </listitem>-->
131 <!--<listitem>
132 <para>Intltool-&intltool-version;</para>
133 </listitem>-->
134 <listitem>
135 <para>IPRoute2-&iproute2-version;</para>
136 </listitem>
137 <!--<listitem>
138 <para>Kbd-&kbd-version;</para>
139 </listitem>-->
140 <!--<listitem>
141 <para>Kmod-&kmod-version;</para>
142 </listitem>-->
143 <!--<listitem>
144 <para>Less-&less-version;</para>
145 </listitem>-->
146 <!--<listitem>
147 <para>LFS-Bootscripts-&lfs-bootscripts-version;</para>
148 </listitem>-->
149 <!--<listitem>
150 <para>Libcap-&libcap-version;</para>
151 </listitem>-->
152 <listitem>
153 <para>Libelf-&elfutils-version;</para>
154 </listitem>
155 <!--<listitem>
156 <para>Libpipeline-&libpipeline-version;</para>
157 </listitem>-->
158 <!--<listitem>
159 <para>Libtool-&libtool-version;</para>
160 </listitem>-->
161 <listitem>
162 <para>Linux-&linux-version;</para>
163 </listitem>
164 <!--<listitem>
165 <para>M4-&m4-version;</para>
166 </listitem>-->
167 <!--<listitem>
168 <para>Make-&make-version;</para>
169 </listitem>-->
170 <listitem>
171 <para>Man-DB-&man-db-version;</para>
172 </listitem>
173 <listitem>
174 <para>Man-pages-&man-pages-version;</para>
175 </listitem>
176 <listitem>
177 <para>meson-&meson-version;</para>
178 </listitem>
179 <!-- <listitem>
180 <para>MPC-&mpc-version;</para>
181 </listitem>-->
182 <!-- <listitem>
183 <para>MPFR-&mpfr-version;</para>
184 </listitem>-->
185 <!--<listitem>
186 <para>Ncurses-&ncurses-version;</para>
187 </listitem>-->
188 <listitem>
189 <para>Openssl-&openssl-version;</para>
190 </listitem>
191 <!-- <listitem>
192 <para>Patch-&patch-version;</para>
193 </listitem>-->
194 <listitem>
195 <para>Perl-&perl-version;</para>
196 </listitem>
197 <!--<listitem>
198 <para>Pkg-config-&pkgconfig-version;</para>
199 </listitem>-->
200 <listitem>
201 <para>Procps-ng-&procps-ng-version;</para>
202 </listitem>
203 <!--<listitem>
204 <para>Psmisc-&psmisc-version;</para>
205 </listitem>-->
206 <listitem>
207 <para>Python-&python-version;</para>
208 </listitem>
209 <!--<listitem>
210 <para>Readline-&readline-version;</para>
211 </listitem>-->
212 <listitem>
213 <para>Sed-&sed-version;</para>
214 </listitem>
215 <listitem>
216 <para>Shadow-&shadow-version;</para>
217 </listitem>
218 <!--<listitem revision="sysv">
219 <para>Sysklogd-&sysklogd-version;</para>
220 </listitem>-->
221 <listitem revision="systemd">
222 <para>Systemd-&systemd-version;</para>
223 </listitem>
224 <listitem revision="sysv">
225 <para>SysVinit-&sysvinit-version;</para>
226 </listitem>
227 <!--<listitem>
228 <para>Tar-&tar-version;</para>
229 </listitem>-->
230 <!--<listitem>
231 <para>Tcl-&tcl-version;</para>
232 </listitem>-->
233 <!--<listitem>
234 <para>Texinfo-&texinfo-version;</para>
235 </listitem>-->
236 <listitem>
237 <para>Tzdata-&tzdata-version;</para>
238 </listitem>
239 <listitem>
240 <para>Util-Linux-&util-linux-version;</para>
241 </listitem>
242 <listitem>
243 <para>Vim-&vim-version;</para>
244 </listitem>
245 <!--<listitem>
246 <para>XML-Parser-&xml-parser-version;</para>
247 </listitem>-->
248 <listitem>
249 <para>XZ-Utils-&xz-version;</para>
250 </listitem>
251 <!--<listitem>
252 <para>Zlib-&zlib-version;</para>
253 </listitem>-->
254 </itemizedlist>
255
256 <!--<itemizedlist>
257 <title>Downgraded to:</title>
258
259 <listitem>
260 <para>PLACEHOLDER</para>
261 </listitem>
262
263 </itemizedlist>-->
264
265 <itemizedlist>
266 <title>Added:</title>
267 <listitem><para></para></listitem> <!-- satisfy build -->
268
269 </itemizedlist>
270
271 <itemizedlist>
272 <title>Removed:</title>
273 <listitem><para></para></listitem> <!-- satisfy build -->
274
275 <!--<listitem>
276 <para>bash-4.4-upstream_fixes-1.patch</para>
277 </listitem>-->
278
279 </itemizedlist>
280
281</sect1>
Note: See TracBrowser for help on using the repository browser.